Subject: Re: (ION) question regarding NHRP

From: Mikhail Smirnov <[email-masked]>
Date: Wed, 8 Jul 1998 18:15:13 +0200

On Wed Jul  8 15:39:23 1998 Omar Elloumi <[email-masked]>
wrote:

> NHRP aims at offring inter-LIS IP to ATM (NBMA in generally) resolution.
> However the host requirements RFC states that communications between
> two hosts on two diffrent LISs must traverse IP routers.
> 
> So if the host requirement is preserved, even if the two station
> are connected to the same ATM network and have a mean to resolve
> IP to ATM adresses, normally they can not directly communicate.
> 
> My question is : if this above is true, we need changes in the IP
> protocol stack? Is there an Internet draft or RFC dealing with that
> issue? Is this issue under study in any WGs?

IP protocol stack (Layer 3) does not need to be changed, the mapping to Layer 2
- yes. If this mapping follows the Classical IP over ATM approach then
you go via routers, if not - you do a shortcut. The following internet-drafts
are specifying different aspects of shortcuts:

- draft-ohta-sun-01.txt "Simple Unified Networking";

- draft-ietf-ion-intra-area-unicast-01.txt "Intra-area IP unicast among 
  routers over legacy ATM";

- draft-bakre-mcast-atm-00.txt "IP Multicast over ATM Networks with 
  Cut-through Forwarding";

- draft-ogawa-receiver-shortcut-path-00.txt "The Receiver-Initiated 
  Shortcut Path Protocol (RISP) (draft-ogawa-responder-shortcut-path-00.txt);

- draft-ishikawa-ion-mcatm-routing-00.txt "IP Multicast Routing over ATM";

- draft-smirnov-ion-earth-02.txt "EARTH - EAsy IP multicast Routing THrough 
  ATM clouds";

- draft-anker-congress-00.txt "IMSS: IP Multicast Shortcut Service";

- draft-droz-proxypar-arch-00.txt "Proxy PAR", and maybe some others.

My understanding is that ION WG supports shortcuts for unicast only (right?).

BTW if somebody knows MORE shortcutting drafts please let me know,

Thanks

Michael
X-Info: To unsubscribe, email [email-masked]' with
X-Info: 'unsubscribe ion' in the body of the message.

---

From: Mikhail Smirnov <[email-masked]>
Date: Wed, 8 Jul 1998 18:19:39 +0200

> See RFC1937.

Yakov, sorry: this should be Number 1 in my list of course :-)

Michael